<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Event extends Model
{
    protected $fillable = [
        'title', 'description', 'photo', 'video', 'date_begin',
        'date_end', 'note', 'user_id', 'subcategory_id', 'type', 'sponsor_id', 'address', 'city', 'country'
    ];

    protected $table = 'events';

    protected $dates = ['date_begin', 'date_end'];

    public function user(){
        return $this->belongsTo(User::class);
    }

    public function notations(){
        return $this->hasMany(Notation::class);
    }

    public function subcategory(){
        return $this->belongsTo(Subcategorie::class);
    }

    public function sponsors(){
        return $this->belongsToMany(Sponsor::class, 'event_sponsors', 'event_id', 'sponsor_id');
    }

    public function speakers(){
        return $this->hasMany(Sponsor::class);
    }
}
