<p align="center"><img alt="Laraflash" src="logo.png" width="450"></p>

<p align="center">This package provides the language support for <b>Laravel Nova</b>.</p>

<p align="center">Feel free to submit your language or update an existing one by sending a PR to help other people.</p>

## Installation

```bash
composer require coderello/laravel-nova-lang
```

## Usage

Publish translations for one language:
```bash
php artisan nova-lang:publish de
```

Publish translations for multiple languages:
```bash
php artisan nova-lang:publish de,ru
```

Publish translations with overriding of existing ones:
```bash
php artisan nova-lang:publish de,ru --force
```

## Available Languages

| Language | Code | Status | Thanks to |
| --- | --- | --- | --- |
| English | en | completed | [taylorotwell](https://github.com/taylorotwell) |
| Russian | ru | completed | [hivokas](https://github.com/hivokas), [estim](https://github.com/estim), [deadem](https://github.com/deadem), [Sanasol](https://github.com/S-anasol) |
| German | de | completed | [pille1842](https://github.com/pille1842), [dakira](https://github.com/dakira) |
| Dutch | nl | completed | [happyDemon](https://github.com/happyDemon), [sebastiaanspeck](https://github.com/sebastiaanspeck), [jschram](https://github.com/jschram) |
| Turkish | tr | completed | [bureken](https://github.com/bureken), [dilekuzulmez](https://github.com/dilekuzulmez) |
| Ukrainian | uk | completed | [coderello](https://github.com/coderello) |
| Arabic | ar | completed | [saleem-hadad](https://github.com/saleem-hadad), [Arryan](https://github.com/Arryan) |
| Spanish | es | completed | [ajmariduena](https://github.com/ajmariduena), [Arryan](https://github.com/Arryan), [xcodinas](https://github.com/xcodinas), [joebordes](https://github.com/joebordes), [rodrigore](https://github.com/rodrigore) |
| French | fr | completed | [Marceau Ka](https://github.com/MarceauKa), [Arryan](https://github.com/Arryan) |
| Polish | pl | completed | [Strus](https://github.com/Strus), [marekfilip](https://github.com/marekfilip), [wiktor-k](https://github.com/wiktor-k) |
| Persian | fa | completed | [mziraki](https://github.com/mziraki), [alirezamirsepassi](https://github.com/alirezamirsepassi)|
| Chinese (Simplified) | zh-CN | completed | [jcc](https://github.com/jcc) |
| Romanian | ro | completed | [BTeodorWork](https://github.com/BTeodorWork), [alexgiuvara](https://github.com/alexgiuvara) |
| Chinese | cn | completed | [Pierolin](https://github.com/Pierolin) |
| Chinese (Taiwan) | zh-TW | completed | [CasperLaiTW](https://github.com/CasperLaiTW) |
| Georgian | ka | completed | [akalongman](https://github.com/akalongman) |
| Swedish | sv | completed | [tanjemark](https://github.com/tanjemark) |
| Brazilian Portuguese | pt-BR | completed | [eduardokum](https://github.com/eduardokum), [chbbc](https://github.com/chbbc) |
| Italian | it | completed | [dejdav](https://github.com/dejdav), [manuelcoppotelli](https://github.com/manuelcoppotelli) |
| Indonesian | id | completed | [dvlwj](https://github.com/dvlwj) |
| Hungarian | hu | completed | [milli05](https://github.com/milli05) |
| Danish | da | completed | [olivernybroe](https://github.com/olivernybroe) |
| Serbian | sr | completed | [marjanovicsteva](https://github.com/marjanovicsteva) |
| Filipino | fil | completed | [granaderos](https://github.com/granaderos) |
| Portuguese | pt | completed | [Pedrocssg](https://github.com/Pedrocssg) |
| Basque | eu | completed | [JonPaternain](https://github.com/JonPaternain) |
| Finnish | fi | completed | [Krisseck](https://github.com/Krisseck) |
| Lithuanian | lt | completed | [minved](https://github.com/minved) |
| Hindi | hi | completed | [bantya](https://github.com/bantya) |
| Bulgarian | bg | completed | [BKirev](https://github.com/BKirev) |
| Slovenian | sl | completed | [morpheus7CS](https://github.com/morpheus7CS) |
| Slovak | sk | completed | [hejty](https://github.com/hejty) |
| Czech | cs | completed | [walaski](https://github.com/walaskir) |
| Croatian | hr | completed | [walaski](https://github.com/defart) |
| Catalan | ca | completed | [joebordes](https://github.com/joebordes) |
| Tagalog | tl | completed | [rcjavier](https://github.com/rcjavier) |
